%define anolis_release 2

Name:           python-sphinxcontrib-jquery
Version:        4.1
Release:        %{anolis_release}%{?dist}
Summary:        Extension to include jQuery on newer Sphinx releases

# The project is 0BSD
# _sphinx_javascript_frameworks_compat.js is BSD-2-Clause
# jquery-3.6.0.js and jquery.js are MIT
License:        0BSD AND BSD-2-Clause AND MIT
URL:            https://github.com/sphinx-contrib/jquery/
Source:         %{url}/archive/v%{version}/sphinxcontrib-jquery-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx

%global _description %{expand:
sphinxcontrib-jquery is a Sphinx extension that ensures that jQuery
is always installed for use in Sphinx themes or extensions.}


%description %_description

%package -n     python3-sphinxcontrib-jquery
Summary:        %{summary}
# The other sphinxcontrib packages require Sphinx in their metadata
# This one doesn't, so the upstream was queried about it:
# https://github.com/sphinx-contrib/jquery/issues/19
Requires:       python3-sphinx

%description -n python3-sphinxcontrib-jquery %_description

%package -n     python3-sphinxcontrib-jquery-doc
Summary:        doc files for python3-sphinxcontrib-jquery
Requires:       python3-sphinxcontrib-jquery = %{version}-%{release}

%description -n python3-sphinxcontrib-jquery-doc
doc files for python3-sphinxcontrib-jquery

%prep
%autosetup -p1 -n jquery-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'sphinxcontrib*'


%check
%pytest


%files -n python3-sphinxcontrib-jquery -f %{pyproject_files}
%license LICENCE

%files -n python3-sphinxcontrib-jquery-doc
%doc README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.1-2
- Rebuild with python3.11

* Tue Mar 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.1-1
- Init upstream from version 4.1
